libraries/libcap: Initial import

This commit is contained in:
Menno E. Duursma 2010-05-11 14:56:16 +02:00 committed by Robby Workman
parent 39705f65a6
commit e76ba428a2
5 changed files with 118 additions and 0 deletions

13
libraries/libcap/README Normal file
View File

@ -0,0 +1,13 @@
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6) draft 15 capabilities.
More information (POSIX 1e and 2c drafts):
http://wt.xpilot.org/publications/posix.1e/download.html
Usage tutorial (Olaf Kirch: Using Capabilities - 2002):
http://www.lst.de/~okir/blackhats/node125.html
Linux Capabilities FAQ 0.2 (by Boris Tobotras - 1999):
ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/capfaq-0.2.txt
If you uninstall this package, you will need to manually remove the
/usr/include/sys/capability.h header.

View File

@ -0,0 +1,15 @@
config() {
NEW="$1"
OLD="`dirname $NEW`/`basename $NEW .new`"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
# toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
config usr/include/sys/capability.h.new

View File

@ -0,0 +1,70 @@
#!/bin/sh
# Slackware build script for libcap
# Written by Menno Duursma
# Modified by the SlackBuilds.org project
PRGNAM=libcap
VERSION=1.10
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=`pwd`
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
# Bail out if we have a problem
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION
chown -R root:root .
find . -type d | xargs chmod 0755
find . -type f | xargs chmod go-w
CFLAGS="$SLKCFLAGS" make || exit 1
make install FAKEROOT=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README CHANGELOG License pgp.keys.asc doc/capability.notes \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Dont overwrite the header, as it may have been edited by the user; instead,
# leave the new copy for the admin to consider
mv $PKG/usr/include/sys/capability.h $PKG/usr/include/sys/capability.h.new
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP/$PRGNAM-$VERSION
rm -rf $PKG
fi

View File

@ -0,0 +1,8 @@
PRGNAM="libcap"
VERSION="1.10"
HOMEPAGE="http://sourceforge.net/projects/linux-privs/"
DOWNLOAD="ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.2/libcap-1.10.tar.gz"
MD5SUM="2c09eea823f67cfdde96177a959bc39b"
MAINTAINER="Menno E. Duursma"
EMAIL="druiloor@zonnet.nl"
APPROVED="robw810"

View File

@ -0,0 +1,12 @@
libcap: libcap
libcap:
libcap: This is a library for getting and setting POSIX.1e (formerly POSIX 6)
libcap: draft 15 capabilities.
libcap:
libcap: Libcap was written by Andrew G. Morton; however, it would not
libcap: have been possible without the help of Aleph1, Roland Buresund,
libcap: Andrew Main, and Alexander Kjeldaas.
libcap:
libcap: More information on capabilities in the Linux kernel can be found at
libcap: http://www.kernel.org/pub/linux/libs/security/linux-privs/
libcap: